package demo.tablecellrenderer;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

import demo.tablecellrenderer.renderer.SimpleColumnBackgroundRenderer;

@SuppressWarnings("serial")
public class BackgroundIssueDemo extends JFrame
{ 
  public static void main(String[] args) throws Exception
  {
    EventQueue.invokeLater(new Runnable()
    {
      public void run()
      {        
        new BackgroundIssueDemo();
      }
    });
  }
  
  public BackgroundIssueDemo()
  {
    JTable table = new JTable(new DemoTableModel(20));
    
    TableCellRenderer defaultRenderer = table.getDefaultRenderer(Object.class);
    TableCellRenderer r = new SimpleColumnBackgroundRenderer(defaultRenderer);
    table.getColumnModel().getColumn(5).setCellRenderer(r);
    
    add(new JScrollPane(table));
    
    setTitle(getClass().getSimpleName());
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    setSize(600, 400);
    setLocationRelativeTo(null);
    setVisible(true);
  }  
}
