package demo.tablecellrenderer;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

import demo.tablecellrenderer.renderer.ColumnBackgroundRenderer;

/**
 * Highlights a single column.
 * 
 */
@SuppressWarnings("serial")
public class ColumnBackgroundDemo extends JFrame
{ 
  public static void main(String[] args) throws Exception
  {
    //UIManager.setLookAndFeel("de.javasoft.plaf.synthetica.SyntheticaStandardLookAndFeel");
    //UIManager.put("Table.alternateRowColor", new Color(0xF3FFFF));
    EventQueue.invokeLater(new Runnable()
    {
      public void run()
      {        
        new ColumnBackgroundDemo();
      }
    });
  }
  
  public ColumnBackgroundDemo()
  {
    JTable table = new JTable(new DemoTableModel(20));
    
    //register renderer for all related classes
    TableCellRenderer defaultRenderer = table.getDefaultRenderer(Object.class);
    TableCellRenderer r = new ColumnBackgroundRenderer(defaultRenderer);
    table.setDefaultRenderer(Object.class, r);
    
    add(new JScrollPane(table));
    
    setTitle(getClass().getSimpleName());
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    setSize(600, 400);
    setLocationRelativeTo(null);
    setVisible(true);
  }
}
