package demo.tablecellrenderer;

import java.awt.Color;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.table.TableCellRenderer;

import demo.tablecellrenderer.renderer.ColumnRowBackgroundRenderer;

/**
 * Highlights a single column and a single row.
 * 
 */
@SuppressWarnings({ "serial", "unused" })
public class ColumnRowBackgroundDemo extends JFrame
{ 
  public static void main(String[] args) throws Exception
  {
    //UIManager.setLookAndFeel("de.javasoft.plaf.synthetica.SyntheticaStandardLookAndFeel");
    //UIManager.put("Table.alternateRowColor", new Color(0xF3FFFF));
    EventQueue.invokeLater(new Runnable()
    {
      public void run()
      {        
        new ColumnRowBackgroundDemo();
      }
    });
  }
  
  public ColumnRowBackgroundDemo()
  {
    JTable table = new JTable(new DemoTableModel(20));

    for (int i = 0; i < table.getColumnModel().getColumnCount(); i++)
    {  
      Class<?> columnClass = table.getModel().getColumnClass(i);
      TableCellRenderer defaultRenderer = table.getDefaultRenderer(columnClass);
      TableCellRenderer colRenderer = new ColumnRowBackgroundRenderer(defaultRenderer);
      table.getColumnModel().getColumn(i).setCellRenderer(colRenderer);
    }
    
    add(new JScrollPane(table));
    
    setTitle(getClass().getSimpleName());
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    setSize(600, 400);
    setLocationRelativeTo(null);
    setVisible(true);
  }
}
