package demo.tablecellrenderer;

import java.awt.Color;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.table.TableCellRenderer;

import demo.tablecellrenderer.renderer.SimpleColumnBackgroundRenderer;

/**
 * Highlights a single column - Synthetica V2.11 or above required!
 * 
 */
@SuppressWarnings("serial")
public class SimpleColumnBackgroundDemo extends JFrame
{ 
  public static void main(String[] args) throws Exception
  {
    UIManager.setLookAndFeel("de.javasoft.plaf.synthetica.SyntheticaStandardLookAndFeel");
    UIManager.put("Table.alternateRowColor", new Color(0xF3FFFF));
    //UIManager.put("Synthetica.table.cellRenderer.colorCache.enabled", true);
    EventQueue.invokeLater(new Runnable()
    {
      public void run()
      {        
        new SimpleColumnBackgroundDemo();
      }
    });
  }
  
  public SimpleColumnBackgroundDemo()
  {
    JTable table = new JTable(new DemoTableModel(20));
    
    TableCellRenderer defaultRenderer = table.getDefaultRenderer(Object.class);
    TableCellRenderer r = new SimpleColumnBackgroundRenderer(defaultRenderer);
    table.getColumnModel().getColumn(5).setCellRenderer(r);
    
    add(new JScrollPane(table));
    
    setTitle(getClass().getSimpleName());
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    setSize(600, 400);
    setLocationRelativeTo(null);
    setVisible(true);
  }
}
