package demo.tablecellrenderer;

import java.awt.Color;
import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.table.TableCellRenderer;

import demo.tablecellrenderer.renderer.SimpleColumnRowBackgroundRenderer;

/**
 * Highlights a single column and a single row - Synthetica V2.11 or above required!
 * 
 */
@SuppressWarnings("serial")
public class SimpleColumnRowBackgroundDemo extends JFrame
{ 
  public static void main(String[] args) throws Exception
  {
    UIManager.setLookAndFeel("de.javasoft.plaf.synthetica.SyntheticaStandardLookAndFeel");
    UIManager.put("Table.alternateRowColor", new Color(0xF3FFFF));
    //UIManager.put("Synthetica.table.cellRenderer.colorCache.enabled", true);
    EventQueue.invokeLater(new Runnable()
    {
      public void run()
      {        
        new SimpleColumnRowBackgroundDemo();
      }
    });
  }
  
  public SimpleColumnRowBackgroundDemo()
  {
    JTable table = new JTable(new DemoTableModel(200));

    // works for any look and feel
    /*for (int i = 0; i < table.getColumnModel().getColumnCount(); i++)
    {  
      Class<?> columnClass = table.getModel().getColumnClass(i);
      TableCellRenderer defaultRenderer = table.getDefaultRenderer(columnClass);
      TableCellRenderer colRenderer = new SimpleBackgroundRenderer(defaultRenderer);
      table.getColumnModel().getColumn(i).setCellRenderer(colRenderer);
    }*/
    
    // works for Synth based look and feels only
    TableCellRenderer defaultRenderer = table.getDefaultRenderer(Object.class);
    table.setDefaultRenderer(Object.class, new SimpleColumnRowBackgroundRenderer(defaultRenderer));
    TableCellRenderer defaultBooleanRenderer = table.getDefaultRenderer(Boolean.class);
    table.setDefaultRenderer(Boolean.class, new SimpleColumnRowBackgroundRenderer(defaultBooleanRenderer));    
    
    add(new JScrollPane(table));
    
    setTitle(getClass().getSimpleName());
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    setSize(600, 400);
    setLocationRelativeTo(null);
    setVisible(true);
  }
}
