package demo.tablecellrenderer.renderer;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.table.TableCellRenderer;

public class ColumnBackgroundRenderer implements TableCellRenderer
{
  private TableCellRenderer delegate;
  private Color alternateColor; 

  public ColumnBackgroundRenderer(TableCellRenderer defaultRenderer)
  {
    this.delegate = defaultRenderer;
    alternateColor = UIManager.getColor("Table.alternateRowColor");
  }

  public Component getTableCellRendererComponent(JTable table, Object value, 
                           boolean isSelected, boolean hasFocus, int row, int column) 
  {
    Component c = delegate.getTableCellRendererComponent(table, value, isSelected, 
                                                                hasFocus, row, column);      
    if (!isSelected)
    {  
      int modelColumn = table.convertColumnIndexToModel(column);
      //respect alternating row background when resetting
      Color defaultBackground = (row % 2 == 0 && alternateColor != null) ? alternateColor : table.getBackground();
      c.setBackground(modelColumn == 5 ? new Color(0xFFF0E0) : defaultBackground);
    }  
    return c;
  }
} 
