package demo.tablecellrenderer.renderer;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

public class SimpleColumnRowBackgroundRenderer implements TableCellRenderer
{
  private TableCellRenderer delegate;

  public SimpleColumnRowBackgroundRenderer(TableCellRenderer defaultRenderer)
  {
    this.delegate = defaultRenderer;
  }

  public Component getTableCellRendererComponent(JTable table, Object value, 
                           boolean isSelected, boolean hasFocus, int row, int column) 
  {
    Component c = delegate.getTableCellRendererComponent(table, value, isSelected, 
                                                                hasFocus, row, column);      
    if (!isSelected)
    {  
      int modelColumn = table.convertColumnIndexToModel(column);
      if (modelColumn == 5)
        c.setBackground(new Color(0xFFF0E0));
      if (row == 2)
        c.setBackground(new Color(0xDDD7FF));
    }  
    return c;
  }
} 
